Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006447opensim[REGION] Physics Enginespublic2012-11-30 10:072014-07-29 13:41
Reportercmickeyb 
Assigned ToRobert Adams 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006447: regions running bullet physics use lots of CPU when idle
DescriptionIn several regions that have high prim counts (50K or more) we noticed a substantial increase in the amount of CPU used when the region is idle. For example, one region with 120K prims runs idle with about 4% CPU with ODE and 150% CPU with Bullet.
TagsNo tags attached.
Git Revision or version numberec63e4ff29f9983b65d76232018156605762ccc0
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono Version2.10
Viewer
Attached Files

- Relationships

-  Notes
(0023239)
Robert Adams (administrator)
2012-12-14 12:57

BulletSim updates the collision proxy flags to remove all potential collisions between static objects. This keeps the static objects from getting into the collision cache which is where all the computation was happening.

- Issue History
Date Modified Username Field Change
2012-11-30 10:07 cmickeyb New Issue
2012-11-30 10:07 cmickeyb Status new => assigned
2012-11-30 10:07 cmickeyb Assigned To => Robert Adams
2012-12-14 12:57 Robert Adams Note Added: 0023239
2012-12-14 12:57 Robert Adams Status assigned => resolved
2012-12-14 12:57 Robert Adams Fixed in Version => master (dev code)
2012-12-14 12:57 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker